<template>
  <div class="about">
    <h1>This is an about page</h1>
  </div>
</template>

<script>
export default {
  data() {
    return {
      connection: null,
      serverMessage: ""
    };
  },
  methods: {
    sendMessage: function(message) {
      // console.log(this.connection);
      this.connection.send(message);
    }
  },
  watch: {
    connection(newValue) {
      let self = this;
      console.log("Connection Watcher:", newValue);
      newValue.onmessage = function(event) {
        console.log("Message from server...:", event.data);
        self.serverMessage = event.data;
      };
    }
  },
  created() {
    console.log("Starting connection to WebSocket Server");
    this.connection = new WebSocket("ws://127.0.0.1:3000/about");

    // eslint-disable-next-line no-unused-vars
    this.connection.onopen = function(event) {
      // console.log(event);
      console.log("Successfully connected to the websocket server...");
    };

    this.connection.onerror = function(error) {
      console.log("Error connecting:", error);
    };
  }
};
</script>

<style lang="scss" scoped></style>
